Bug 815846 (CVE-2012-2134) - CVE-2012-2134 bind-dyndb-ldap: Bind DoS (named hang) by processing DNS query for zone served by bind-dyndb-ldap
Summary: CVE-2012-2134 bind-dyndb-ldap: Bind DoS (named hang) by processing DNS query ...
Status: CLOSED ERRATA
Alias: CVE-2012-2134
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20120424,repo...
Keywords: Security
Depends On: 814495 815862 816229
Blocks: 814624
TreeView+ depends on / blocked
 
Reported: 2012-04-24 16:13 UTC by Jan Lieskovsky
Modified: 2016-11-08 16:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-21 18:15:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preliminary version of bind-dyndb-ldap upstream patch to correct this issue (5.78 KB, patch)
2012-04-24 16:32 UTC, Jan Lieskovsky
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0683 normal SHIPPED_LIVE Important: bind-dyndb-ldap security update 2012-05-21 21:09:33 UTC

Description Jan Lieskovsky 2012-04-24 16:13:17 UTC
A denial of service flaw was found in the way the bind-dyndb-ldap, a dynamic LDAP back-end plug-in for BIND providing LDAP database back-end capabilities, performed LDAP connection errors handling / attempted to recover, when an error during a LDAP search happened for a particular DNS query. When the Berkeley Internet Name Domain (BIND) server was patched to support dynamic loading of database back-ends, and the LDAP database back-end was enabled, a remote attacker could use this flaw to cause denial of service (named process hang) via DNS query for zone served by bind-dyndb-ldap.

bind-dyndb-ldap backend upstream commit, which introduced the problem:
[1] http://git.fedorahosted.org/git/?p=bind-dyndb-ldap.git;a=commit;h=a7a47212beb01c5083768bdd4170250e7f7cf188

Comment 1 Jan Lieskovsky 2012-04-24 16:32:06 UTC
Created attachment 579913 [details]
Preliminary version of bind-dyndb-ldap upstream patch to correct this issue

Comment 2 Jan Lieskovsky 2012-04-24 16:35:08 UTC
Public via:
[2] https://www.redhat.com/archives/freeipa-users/2012-April/msg00144.html

Comment 3 Jan Lieskovsky 2012-04-24 16:48:38 UTC
CVE Request:
[3] http://www.openwall.com/lists/oss-security/2012/04/24/14

Comment 4 Jan Lieskovsky 2012-04-24 16:50:04 UTC
This issue affects the version of the bind-dyndb-ldap package, as shipped with Red Hat Enterprise Linux 6.

--

This issue affects the versions of the bind-dyndb-ldap package, as shipped with Fedora release of 15 and 16. Please schedule an update.

Comment 5 Jan Lieskovsky 2012-04-24 16:51:59 UTC
Created bind-dyndb-ldap tracking bugs for this issue

Affects: fedora-all [bug 815862]

Comment 8 Jan Lieskovsky 2012-04-26 14:39:18 UTC
Acknowledgements:

Red Hat would like to thank Ronald van Zantvoort for reporting this issue.

Comment 9 Fedora Update System 2012-05-15 23:24:35 UTC
bind-dyndb-ldap-1.1.0-0.11.rc1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2012-05-15 23:24:52 UTC
bind-dyndb-ldap-1.1.0-0.11.rc1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 errata-xmlrpc 2012-05-21 17:13:41 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0683 https://rhn.redhat.com/errata/RHSA-2012-0683.html

Comment 12 Fedora Update System 2012-05-26 07:58:13 UTC
bind-dyndb-ldap-1.1.0-0.11.rc1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.